Subject: bug#79144: [PATCH] New debugger-trap function to break to GDB

From: Paul Eggert <[email-masked]>
Date: Sun, 3 Aug 2025 08:42:19 -0700

On 2025-08-02 13:10, Jeremy Bryant wrote:
> Would the following clarification be clearer from your perspective?
> 
>         doc: /* Trap execution flow and hand over control to GDB.
> To use, set up a breakpoint in GDB with
> break Fdebugger_trap
> This is done in the Emacs source distribution in src/.gdbinit.
> 
> The function itself is a do-nothing primitive.  It is reserved for
> debugging purposes, and not called by Emacs otherwise.  */)

Yes, thanks. Some minor wording tweaks, which make it easier for me to 
understand:

Trap execution flow and hand over control to GDB. The Emacs source file 
src/.gdbinit uses this via the GDB command "break Fdebugger trap".

This function has no effect.  It is reserved for debugging, and is not 
called by Emacs otherwise.